diff --git a/lib/handlebars/no-conflict.js b/lib/handlebars/no-conflict.js
index c19ced36..bfd8a41b 100644
--- a/lib/handlebars/no-conflict.js
+++ b/lib/handlebars/no-conflict.js
@@ -1,11 +1,10 @@
 export default function (Handlebars) {
-  /* istanbul ignore next */
-  let root = typeof global !== 'undefined' ? global : window, // eslint-disable-line no-undef
-    $Handlebars = root.Handlebars;
+  let $Handlebars = globalThis.Handlebars;
+
   /* istanbul ignore next */
   Handlebars.noConflict = function () {
-    if (root.Handlebars === Handlebars) {
-      root.Handlebars = $Handlebars;
+    if (globalThis.Handlebars === Handlebars) {
+      globalThis.Handlebars = $Handlebars;
     }
     return Handlebars;
   };
